List all recordings
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"file_path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"duration_seconds": 123,
"file_size_bytes": 123
}
]Recording
List all recordings
GET
/
v1
/
machines
/
{id}
/
desktop
/
recording
List all recordings
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/desktop/recording \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"file_path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"duration_seconds": 123,
"file_size_bytes": 123
}
]Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)